# Base class

Base class.

### Contents

- Reference
  - Derived classes
  - Public functions
  - Private functions

## Derived classes

class Derived
  A derived class.
struct Final final
  Various uses of final keywords.

## Public functions

void doThing() const virtual noexcept(…)
  Do a thing with crazy attribs.

## Private functions

void doAnotherThing() virtual
  Do another thing, privately.
void doYetAnotherThing() virtual
  Do yet another thing, privately.

## Function documentation

### void Base::doYetAnotherThing() virtual private

Do yet another thing, privately.

The override will get hidden because `INHERIT_DOCS` is disabled.